<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwCaVScyParser</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwCaVScyParser.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">      This is one of the most important panels of the <strong>fwCaV</strong>        component.
        It works with the SCY files (provided by TS/CV) and generates the necessary
        metadata and data in the PVSS.</td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><ul>
      <li><strong>Step 1:</strong> Provide the path to the SCY file that is going
        to be parsed and enter the System Prefix (each system has its own prefix
        defined in the <a href="http://itcobe.web.cern.ch/itcobe/Projects/Framework/Download/Components/ExternalApplications/NamingConventionProposal.pdf" target="_blank">naming
        convention</a> - e.g. <em>Tile</em>, <em>Lar</em>). Each of the variables
        in the SCY file is prefixed with this prefix.<br>
        If the model definition (metadata) for this particular system already
        exists then you will receive information that update mode is active.<br>
        After providing that information one can proceed with the reading of
        the SCY file. In case of any errors proper notification should be displayed.
        If the process terminated without errors then the table in the middle
        section of the panel should become populated with some data.</li>
      <li><strong>Step 2:</strong> The middle section of the panel is called
        &quot;Model Definition Overview&quot;. It allows to view the variables that had
        been read in from the SCY file. If the update mode is active it will
        also show how the data from the SCY file is related to the existing model.</li>
      <li><strong>Step 3:</strong> It is necessary to provide some data about
        the system that is not contained within the SCY file. The bottom part
        of the panel is devoted to this action. One need to provide data about
        the status/control bits that are used by the plant and the loops as well
        as the descriptions for the loop warnings and alarms. All that data should
        be contained in the Technical Documentation that is provided by TS/CV.</li>
      <li><strong>Step 4:</strong> Commiting the changes. After pressing the
        button you will be presented with a panel in which you can specify the
        IP address for the PLC. The Poll Group and the ModBus Driver will be
        configured automatically.</li>
      </ul>
        <p>NOTE: A button will appear at the bottom of the panel in case that
        file SCY is a file with references to the areas. This button allows
          to add the areas to the system. See <a href="#fig2">Fig2</a>.</p>
        <p>&nbsp;</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">The SCY files must be well-formed - according to the <a href="http://itcobe.web.cern.ch/itcobe/Projects/Framework/Download/Components/ExternalApplications/NamingConventionProposal.pdf" target="_blank">naming
        convention</a>.</td>
    </tr>
  </tbody>
</table>
<p align="center"><img src="fwCaVScyParser.jpg"><a name="fig1"></a></p>
<p align="center">&nbsp;</p>
<p align="center"><img src="fwCaVScyParser2.jpg"><a name="fig2"></a></p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">        <div align="center"><BR>
          </div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<br>
</body>
</html>